Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode
Class GraphicsUnit

    java.lang.Object
      com.aspose.barcode.GraphicsUnit

    public class GraphicsUnit

extends java.lang.Object

Measurement of barcode settings

Field Summary
`static int` | `DISPLAY` Specifies the unit of measure of the display device.
`static int` | `DOCUMENT` Specifies the document unit (1/300 inch) as the unit of measure.
`static int` | `INCH` Specifies the inch as the unit of measure.
`static int` | `MILIMETER` Specifies the millimeter as the unit of measure.
`static int` | `PIXEL` Specifies x device pixel as the unit of measure.
`static int` | `POINT` Specifies x printer's point (1/72 inch) as the unit of measure.

Constructor Summary
`GraphicsUnit()` This class serves the purpose of hosting constants, never meant to be initiated.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISPLAY

    public static final int DISPLAY

  Specifies the unit of measure of the display device. Typically pixels for video displays, and 1/100 inch for printers.

  See Also:
    Constant Field Values

### INCH

    public static final int INCH

  Specifies the inch as the unit of measure.

  See Also:
    Constant Field Values

### MILIMETER

    public static final int MILIMETER

  Specifies the millimeter as the unit of measure.

  See Also:
    Constant Field Values

### POINT

    public static final int POINT

  Specifies x printer's point (1/72 inch) as the unit of measure.

  See Also:
    Constant Field Values

### DOCUMENT

    public static final int DOCUMENT

  Specifies the document unit (1/300 inch) as the unit of measure.

  See Also:
    Constant Field Values

### PIXEL

    public static final int PIXEL

  Specifies x device pixel as the unit of measure.

  See Also:
    Constant Field Values

Constructor Detail

### GraphicsUnit

    public GraphicsUnit()

  This class serves the purpose of hosting constants, never meant to be initiated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD